<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="cooperative">
      <h2 data-cy="cooperativeDetailsHeading"><span jhiTranslate="blogApp.cooperative.detail.title">Cooperative</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="blogApp.cooperative.id">Id</span></dt>
        <dd>
          <span>{{ cooperative.id }}</span>
        </dd>
        <dt><span jhiTranslate="blogApp.cooperative.name">Name</span></dt>
        <dd>
          <span>{{ cooperative.name }}</span>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Retour</span>
      </button>

      <button type="button" [routerLink]="['/cooperative', cooperative.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editer</span>
      </button>
    </div>
  </div>
</div>
